MessagesApplicationController (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client

## Class MessagesApplicationController

- java.lang.Object
- - org.gcube.portlets.user.messages.client.MessagesApplicationController

-     public class MessagesApplicationController
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `DELAY`
    `static MessagesServiceAsync` | `rpcMessagesManagementService` Create a remote service proxy to talk to the server-side Greeting service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesApplicationController()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.gwt.event.shared.HandlerManager` | `getEventBus()`
    `GxtBorderLayoutMainPanel` | `getMainPanel()`
    `GxtGridMessagesFilterPanel` | `getMessagesPanelContainer()`
    `void` | `go(com.google.gwt.user.client.ui.HasWidgets rPanel)` init method
    `void` | `notifySubscriber(GuiEventInterface event)`
    `void` | `subscribe(SubscriberInterface subscriber, EventsTypeEnum key)`
    `void` | `subscribe(SubscriberInterface subscriber, EventsTypeEnum[] keys)`
    `void` | `unsubscribe(SubscriberInterface subscriber, EventsTypeEnum key)`
    `void` | `viewSessionExpiredPanel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rpcMessagesManagementService

          public static final MessagesServiceAsync rpcMessagesManagementService

      Create a remote service proxy to talk to the server-side Greeting service.

    - #### DELAY

          protected static final int DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessagesApplicationController

          public MessagesApplicationController()

  - ### Method Detail

    - #### getEventBus

          public static com.google.gwt.event.shared.HandlerManager getEventBus()

    - #### getMessagesPanelContainer

          public GxtGridMessagesFilterPanel getMessagesPanelContainer()

    - #### viewSessionExpiredPanel

          public void viewSessionExpiredPanel()

    - #### notifySubscriber

          public void notifySubscriber(GuiEventInterface event)

    - #### go

          public void go(com.google.gwt.user.client.ui.HasWidgets rPanel)

      init method
      Parameters:
        `rPanel` -

    - #### getMainPanel

          public GxtBorderLayoutMainPanel getMainPanel()

    - #### subscribe

          public void subscribe(SubscriberInterface subscriber,
                       EventsTypeEnum[] keys)

    - #### subscribe

          public void subscribe(SubscriberInterface subscriber,
                       EventsTypeEnum key)

    - #### unsubscribe

          public void unsubscribe(SubscriberInterface subscriber,
                         EventsTypeEnum key)

Copyright © 2014. All Rights Reserved.